<?php
/**
* Footer Settings.
*
* @package Spa Parlor
*/

$spa_parlor_default = spa_parlor_get_default_theme_options();

$wp_customize->add_section( 'spa_parlor_footer_widget_area',
	array(
	'title'      => esc_html__( 'Footer Settings', 'spa-parlor' ),
	'priority'   => 200,
	'capability' => 'edit_theme_options',
	'panel'      => 'spa_parlor_theme_option_panel',
	)
);

$wp_customize->add_setting('spa_parlor_display_footer',
    array(
    'default' => $spa_parlor_default['spa_parlor_display_footer'],
    'capability' => 'edit_theme_options',
    'sanitize_callback' => 'spa_parlor_sanitize_checkbox',
)
);
$wp_customize->add_control('spa_parlor_display_footer',
    array(
        'label' => esc_html__('Enable Footer', 'spa-parlor'),
        'section' => 'spa_parlor_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'spa_parlor_footer_column_layout',
	array(
	'default'           => $spa_parlor_default['spa_parlor_footer_column_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'spa_parlor_sanitize_select',
	)
);
$wp_customize->add_control( 'spa_parlor_footer_column_layout',
	array(
	'label'       => esc_html__( 'Footer Column Layout', 'spa-parlor' ),
	'section'     => 'spa_parlor_footer_widget_area',
	'type'        => 'select',
	'choices'               => array(
		'1' => esc_html__( 'One Column', 'spa-parlor' ),
		'2' => esc_html__( 'Two Column', 'spa-parlor' ),
		'3' => esc_html__( 'Three Column', 'spa-parlor' ),
	    ),
	)
);

$wp_customize->add_setting( 'spa_parlor_footer_widget_title_alignment',
    array(
    'default'           => $spa_parlor_default['spa_parlor_footer_widget_title_alignment'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'spa_parlor_sanitize_footer_widget_title_alignment',
    )
);
$wp_customize->add_control( 'spa_parlor_footer_widget_title_alignment',
    array(
    'label'       => esc_html__( 'Footer Widget Title Alignment', 'spa-parlor' ),
    'section'     => 'spa_parlor_footer_widget_area',
    'type'        => 'select',
    'choices'     => array(
        'left' => esc_html__( 'Left', 'spa-parlor' ),
        'center'  => esc_html__( 'Center', 'spa-parlor' ),
        'right'    => esc_html__( 'Right', 'spa-parlor' ),
        ),
    )
);

$wp_customize->add_setting( 'spa_parlor_footer_copyright_text',
	array(
	'default'           => $spa_parlor_default['spa_parlor_footer_copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'spa_parlor_footer_copyright_text',
	array(
	'label'    => esc_html__( 'Footer Copyright Text', 'spa-parlor' ),
	'section'  => 'spa_parlor_footer_widget_area',
	'type'     => 'text',
	)
);

$wp_customize->add_setting('spa_parlor_copyright_font_size',
    array(
        'default'           => $spa_parlor_default['spa_parlor_copyright_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'spa_parlor_sanitize_number_range',
    )
);
$wp_customize->add_control('spa_parlor_copyright_font_size',
    array(
        'label'       => esc_html__('Copyright Font Size', 'spa-parlor'),
        'section'     => 'spa_parlor_footer_widget_area',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 5,
           'max'   => 30,
           'step'   => 1,
    	),
    )
);

$wp_customize->add_setting( 'spa_parlor_copyright_alignment', array(
    'default'           => 'Default',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'spa_parlor_sanitize_copyright_alignment_meta',
) );

$wp_customize->add_control( 'spa_parlor_copyright_alignment', array(
    'label'    => esc_html__( 'Copyright Section Alignment', 'spa-parlor' ),
    'section'  => 'spa_parlor_footer_widget_area',
    'type'     => 'select',
    'choices'  => array(
        'Default' => esc_html__( 'Default View', 'spa-parlor' ),
        'Reverse' => esc_html__( 'Reverse View', 'spa-parlor' ),
        'Center'  => esc_html__( 'Centered Content', 'spa-parlor' ),
    ),
) );

$wp_customize->add_setting( 'spa_parlor_footer_widget_background_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'spa_parlor_footer_widget_background_color', array(
    'label'     => __('Footer Widget Background Color', 'spa-parlor'),
    'description' => __('It will change the complete footer widget background color.', 'spa-parlor'),
    'section' => 'spa_parlor_footer_widget_area',
    'settings' => 'spa_parlor_footer_widget_background_color',
)));

$wp_customize->add_setting('spa_parlor_footer_widget_background_image',array(
    'default'   => '',
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'spa_parlor_footer_widget_background_image',array(
    'label' => __('Footer Widget Background Image','spa-parlor'),
    'section' => 'spa_parlor_footer_widget_area'
)));

$wp_customize->add_setting('spa_parlor_enable_to_the_top',
    array(
        'default' => $spa_parlor_default['spa_parlor_enable_to_the_top'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'spa_parlor_sanitize_checkbox',
    )
);
$wp_customize->add_control('spa_parlor_enable_to_the_top',
    array(
        'label' => esc_html__('Enable To The Top', 'spa-parlor'),
        'section' => 'spa_parlor_footer_widget_area',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'spa_parlor_to_the_top_text',
    array(
    'default'           => $spa_parlor_default['spa_parlor_to_the_top_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_to_the_top_text',
    array(
    'label'    => esc_html__( 'Edit Text Here', 'spa-parlor' ),
    'section'  => 'spa_parlor_footer_widget_area',
    'type'     => 'text',
    )
);